package com.sf.system.deployment.mapper;

import com.sf.system.deployment.domain.DeploymentApplyEnvironment;

import java.util.List;

/**
 * 环境维护Mapper接口
 * 
 * @author ztzh
 * @date 2024-04-19
 */
public interface DeploymentApplyEnvironmentMapper 
{
    /**
     * 查询环境维护
     * 
     * @param id 环境维护主键
     * @return 环境维护
     */
    public DeploymentApplyEnvironment selectDeploymentApplyEnvironmentById(Long id);

    /**
     * 查询环境维护列表
     * 
     * @param deploymentApplyEnvironment 环境维护
     * @return 环境维护集合
     */
    public List<DeploymentApplyEnvironment> selectDeploymentApplyEnvironmentList(DeploymentApplyEnvironment deploymentApplyEnvironment);

    /**
     * 新增环境维护
     * 
     * @param deploymentApplyEnvironment 环境维护
     * @return 结果
     */
    public int insertDeploymentApplyEnvironment(DeploymentApplyEnvironment deploymentApplyEnvironment);

    /**
     * 修改环境维护
     * 
     * @param deploymentApplyEnvironment 环境维护
     * @return 结果
     */
    public int updateDeploymentApplyEnvironment(DeploymentApplyEnvironment deploymentApplyEnvironment);

    /**
     * 删除环境维护
     * 
     * @param id 环境维护主键
     * @return 结果
     */
    public int deleteDeploymentApplyEnvironmentById(Long id);

    /**
     * 批量删除环境维护
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeploymentApplyEnvironmentByIds(Long[] ids);
}
