package com.sf.vertx.handle;

import org.apache.commons.lang3.StringUtils;

import io.vertx.ext.web.RoutingContext;
import io.vertx.ext.web.handler.HttpException;

public class ParameterCheckHandlerImpl implements ParameterCheckHandler {

	@Override
	public void handle(RoutingContext rc) {
		String appCode = rc.request().headers().get(AppConfigHandle.getAppCodeHeaderKey());
		String apiCode = rc.request().headers().get(AppConfigHandle.getApiCodeHeaderKey());
		String key = appCode + ":" + apiCode;
		if (StringUtils.isBlank(appCode) || StringUtils.isBlank(apiCode)
				|| AppConfigHandle.getAppConfig(appCode) == null 
				|| AppConfigHandle.getApicodeConfigMap(key) == null) {
			rc.fail(new HttpException(10012));
			return;
		}
		
		if(AppConfigHandle.isDisabledAppcode(apiCode)) {
			rc.fail(new HttpException(10001));
			return;
		}
		
		String uri = rc.request().uri();
		if(AppConfigHandle.isApicodeUri(key, uri) == false) {
			rc.fail(new HttpException(10018));
			return;
		}
		
		rc.next();
		return;
	}
}
